@echo off
REM This script expects to be run from the parent directory
REM ex. scripts/build.bat

IF not exist build/ (
    echo This script needs to be run from the directory above build/
    goto END
)


IF "%~1" == "r" (
cmake --build build/ --target ALL_BUILD --config Release
xcopy /y test_data\lunarium_state.xml build\Release\
) ELSE (
cmake --build build/ --target ALL_BUILD --config Debug
xcopy /y test_data\lunarium_state.xml build\Debug\
)

:END